diff --git a/gcc/tree-vect-loop.c b/gcc/tree-vect-loop.c
index 71c66de..9fcc7d6 100644
--- a/gcc/tree-vect-loop.c
+++ b/gcc/tree-vect-loop.c
@@ -4048,7 +4048,7 @@ vect_estimate_min_profitable_iters (loop_vec_info loop_vinfo,
     }
   min_profitable_estimate = MAX (min_profitable_estimate, min_profitable_iters);
   if (optinfo_enabled_p ())
-    EMIT_OPTINFO_AT_VECT_LOCATION (OPT_RECORD_REMARK)
+    OPTINFO_VECT_REMARK
       << optinfo_printf ("  Static estimate profitability threshold = %d",
 			 min_profitable_estimate);
 
@@ -4300,7 +4300,7 @@ vect_model_induction_cost (stmt_vec_info stmt_info, int ncopies)
 				 stmt_info, 0, vect_prologue);
 
   if (optinfo_enabled_p ())
-    EMIT_OPTINFO_AT_VECT_LOCATION (OPT_RECORD_REMARK)
+    OPTINFO_VECT_REMARK
       << optinfo_printf ("vect_model_induction_cost: inside_cost = %d, "
 			 "prologue_cost = %d",
 			 inside_cost, prologue_cost);
@@ -4895,7 +4895,7 @@ vect_create_epilog_for_reduction (vec<tree> vect_defs, gimple *stmt,
 
           if (optinfo_enabled_p ())
             {
-              EMIT_OPTINFO_AT_VECT_LOCATION (OPT_RECORD_REMARK)
+              OPTINFO_VECT_REMARK
 		<< "transform reduction: created def-use cycle: "
 		<< phi << SSA_NAME_DEF_STMT (def);
             }
@@ -5382,7 +5382,7 @@ vect_create_epilog_for_reduction (vec<tree> vect_defs, gimple *stmt,
          v_out2 = reduc_expr <v_out1>  */
 
       if (optinfo_enabled_p ())
-        EMIT_OPTINFO_AT_VECT_LOCATION (OPT_RECORD_REMARK)
+        OPTINFO_VECT_REMARK
 	  << "Reduce using direct vector reduction";
 
       vec_elem_type = TREE_TYPE (TREE_TYPE (new_phi_result));
@@ -5653,7 +5653,7 @@ vect_create_epilog_for_reduction (vec<tree> vect_defs, gimple *stmt,
           tree rhs;
 
           if (optinfo_enabled_p ())
-            EMIT_OPTINFO_AT_VECT_LOCATION (OPT_RECORD_REMARK)
+            OPTINFO_VECT_REMARK
 	      << "Reduce using vector shifts";
 
 	  mode1 = TYPE_MODE (vectype1);
@@ -5682,7 +5682,7 @@ vect_create_epilog_for_reduction (vec<tree> vect_defs, gimple *stmt,
 	     s_out3 = extract_field <v_out2, bitpos>  */
 
 	  if (optinfo_enabled_p ())
-	    EMIT_OPTINFO_AT_VECT_LOCATION (OPT_RECORD_REMARK)
+	    OPTINFO_VECT_REMARK
 	      << "extract scalar result";
 
 	  rhs = build3 (BIT_FIELD_REF, scalar_type, new_temp,
@@ -5706,7 +5706,7 @@ vect_create_epilog_for_reduction (vec<tree> vect_defs, gimple *stmt,
                }  */
 
           if (optinfo_enabled_p ())
-            EMIT_OPTINFO_AT_VECT_LOCATION (OPT_RECORD_REMARK)
+            OPTINFO_VECT_REMARK
 	      << "Reduce using scalar code";
 
 	  int vec_size_in_bits = tree_to_uhwi (TYPE_SIZE (vectype1));
@@ -6030,7 +6030,7 @@ vect_finalize_reduction:
                                loop_latch_edge (outer_loop), UNKNOWN_LOCATION);
                   if (optinfo_enabled_p ())
                     {
-                      EMIT_OPTINFO_AT_VECT_LOCATION (OPT_RECORD_REMARK)
+                      OPTINFO_VECT_REMARK
 			<< "created double reduction phi node: "
 			<< vect_phi;
                     }
@@ -6712,7 +6712,7 @@ vectorizable_reduction (gimple *stmt, gimple_stmt_iterator *gsi,
       if (STMT_VINFO_REDUC_TYPE (stmt_info) == FOLD_LEFT_REDUCTION)
 	{
 	  if (optinfo_enabled_p ())
-	    EMIT_OPTINFO_AT_VECT_LOCATION (OPT_RECORD_FAILURE)
+	    OPTINFO_VECT_FAILURE
 	      << "in-order reduction chain without SLP";
 	  return false;
 	}
@@ -6766,7 +6766,7 @@ vectorizable_reduction (gimple *stmt, gimple_stmt_iterator *gsi,
       if (reduc_index == -1)
 	{
 	  if (optinfo_enabled_p ())
-	    EMIT_OPTINFO_AT_VECT_LOCATION (OPT_RECORD_FAILURE)
+	    OPTINFO_VECT_FAILURE
 	      << "conditional reduction chains not supported";
 	  return false;
 	}
@@ -6791,7 +6791,7 @@ vectorizable_reduction (gimple *stmt, gimple_stmt_iterator *gsi,
 					       vectype_in, OPTIMIZE_FOR_SPEED))
 	{
 	  if (optinfo_enabled_p ())
-	    EMIT_OPTINFO_AT_VECT_LOCATION (OPT_RECORD_FAILURE)
+	    OPTINFO_VECT_FAILURE
 	      << "optimizing condition reduction with FOLD_EXTRACT_LAST";
 	  STMT_VINFO_VEC_REDUCTION_TYPE (stmt_info) = EXTRACT_LAST_REDUCTION;
 	}
@@ -6831,7 +6831,7 @@ vectorizable_reduction (gimple *stmt, gimple_stmt_iterator *gsi,
 	  if (cond_reduc_val)
 	    {
 	      if (optinfo_enabled_p ())
-		EMIT_OPTINFO_AT_VECT_LOCATION (OPT_RECORD_REMARK)
+		OPTINFO_VECT_REMARK
 		  << "condition expression based on integer induction";
 	      STMT_VINFO_VEC_REDUCTION_TYPE (stmt_info)
 		= INTEGER_INDUC_COND_REDUCTION;
@@ -6856,7 +6856,7 @@ vectorizable_reduction (gimple *stmt, gimple_stmt_iterator *gsi,
 	      if (e && (integer_onep (e) || integer_zerop (e)))
 		{
 		  if (optinfo_enabled_p ())
-		    EMIT_OPTINFO_AT_VECT_LOCATION (OPT_RECORD_REMARK)
+		    OPTINFO_VECT_REMARK
 		      << ("condition expression based on "
 			  "compile time constant");
 		  /* Record reduction code at analysis stage.  */
@@ -6899,7 +6899,7 @@ vectorizable_reduction (gimple *stmt, gimple_stmt_iterator *gsi,
 						ops[reduc_index], 0, NULL))
         {
           if (optinfo_enabled_p ())
-	    EMIT_OPTINFO_AT_VECT_LOCATION (OPT_RECORD_FAILURE)
+	    OPTINFO_VECT_FAILURE
 	      << "unsupported condition in reduction";
 	  return false;
         }
@@ -6914,7 +6914,7 @@ vectorizable_reduction (gimple *stmt, gimple_stmt_iterator *gsi,
 	  /* Shifts and rotates are only supported by vectorizable_shifts,
 	     not vectorizable_reduction.  */
           if (optinfo_enabled_p ())
-	    EMIT_OPTINFO_AT_VECT_LOCATION (OPT_RECORD_FAILURE)
+	    OPTINFO_VECT_FAILURE
 	      << "unsupported shift or rotation";
 	  return false;
 	}
@@ -6924,7 +6924,7 @@ vectorizable_reduction (gimple *stmt, gimple_stmt_iterator *gsi,
       if (!optab)
         {
           if (optinfo_enabled_p ())
-	    EMIT_OPTINFO_AT_VECT_LOCATION (OPT_RECORD_FAILURE)
+	    OPTINFO_VECT_FAILURE
 	      << "no optab";
 
           return false;
@@ -6948,7 +6948,7 @@ vectorizable_reduction (gimple *stmt, gimple_stmt_iterator *gsi,
 	  && !vect_worthwhile_without_simd_p (loop_vinfo, code))
         {
           if (optinfo_enabled_p ())
-	    EMIT_OPTINFO_AT_VECT_LOCATION (OPT_RECORD_FAILURE)
+	    OPTINFO_VECT_FAILURE
 	      << "not worthwhile without SIMD support";
 
           return false;
@@ -7054,7 +7054,7 @@ vectorizable_reduction (gimple *stmt, gimple_stmt_iterator *gsi,
 						  OPTIMIZE_FOR_SPEED))
 	    {
 	      if (optinfo_enabled_p ())
-		EMIT_OPTINFO_AT_VECT_LOCATION (OPT_RECORD_FAILURE)
+		OPTINFO_VECT_FAILURE
 		  << "reduc op not supported by target";
 
 	      reduc_fn = IFN_LAST;
@@ -7065,7 +7065,7 @@ vectorizable_reduction (gimple *stmt, gimple_stmt_iterator *gsi,
 	  if (!nested_cycle || double_reduc)
 	    {
 	      if (optinfo_enabled_p ())
-		EMIT_OPTINFO_AT_VECT_LOCATION (OPT_RECORD_FAILURE)
+		OPTINFO_VECT_FAILURE
 		  << "no reduc code for scalar code";
 
 	      return false;
@@ -7090,7 +7090,7 @@ vectorizable_reduction (gimple *stmt, gimple_stmt_iterator *gsi,
       && !nunits_out.is_constant ())
     {
       if (optinfo_enabled_p ())
-	EMIT_OPTINFO_AT_VECT_LOCATION (OPT_RECORD_FAILURE)
+	OPTINFO_VECT_FAILURE
 	  << ("missing target support for reduction on"
 	      " variable-length vectors");
       return false;
@@ -7100,7 +7100,7 @@ vectorizable_reduction (gimple *stmt, gimple_stmt_iterator *gsi,
       && ncopies > 1)
     {
       if (optinfo_enabled_p ())
-	EMIT_OPTINFO_AT_VECT_LOCATION (OPT_RECORD_FAILURE)
+	OPTINFO_VECT_FAILURE
 	  << ("multiple types in double reduction or condition "
 	      "reduction");
       return false;
@@ -7130,7 +7130,7 @@ vectorizable_reduction (gimple *stmt, gimple_stmt_iterator *gsi,
 
 	 which is a reassociation of the original operation.  */
       if (optinfo_enabled_p ())
-	EMIT_OPTINFO_AT_VECT_LOCATION (OPT_RECORD_FAILURE)
+	OPTINFO_VECT_FAILURE
 	  << "in-order double reduction not supported";
 
       return false;
@@ -7143,7 +7143,7 @@ vectorizable_reduction (gimple *stmt, gimple_stmt_iterator *gsi,
       /* We cannot use in-order reductions in this case because there is
 	 an implicit reassociation of the operations involved.  */
       if (optinfo_enabled_p ())
-	EMIT_OPTINFO_AT_VECT_LOCATION (OPT_RECORD_FAILURE)
+	OPTINFO_VECT_FAILURE
 	  << "in-order unchained SLP reductions not supported";
       return false;
     }
@@ -7158,7 +7158,7 @@ vectorizable_reduction (gimple *stmt, gimple_stmt_iterator *gsi,
 					  vectype_out, OPTIMIZE_FOR_SPEED))
     {
       if (optinfo_enabled_p ())
-	EMIT_OPTINFO_AT_VECT_LOCATION (OPT_RECORD_FAILURE)
+	OPTINFO_VECT_FAILURE
 	  << ("reduction on variable-length vectors requires"
 	      " target support for a vector-shift-and-insert"
 	      " operation");
@@ -7181,7 +7181,7 @@ vectorizable_reduction (gimple *stmt, gimple_stmt_iterator *gsi,
 	  && !can_duplicate_and_interleave_p (group_size, elt_mode))
 	{
 	  if (optinfo_enabled_p ())
-	    EMIT_OPTINFO_AT_VECT_LOCATION (OPT_RECORD_FAILURE)
+	    OPTINFO_VECT_FAILURE
 	      << ("unsupported form of SLP reduction for"
 		  " variable-length vectors: cannot build"
 		  " initial vector");
@@ -7193,7 +7193,7 @@ vectorizable_reduction (gimple *stmt, gimple_stmt_iterator *gsi,
       if (!multiple_p (nunits_out, group_size))
 	{
 	  if (optinfo_enabled_p ())
-	    EMIT_OPTINFO_AT_VECT_LOCATION (OPT_RECORD_FAILURE)
+	    OPTINFO_VECT_FAILURE
 	      << ("unsupported form of SLP reduction for"
 		  " variable-length vectors: the vector size"
 		  " is not a multiple of the number of results");
@@ -7214,7 +7214,7 @@ vectorizable_reduction (gimple *stmt, gimple_stmt_iterator *gsi,
       else
         {
           if (optinfo_enabled_p ())
-	    EMIT_OPTINFO_AT_VECT_LOCATION (OPT_RECORD_FAILURE)
+	    OPTINFO_VECT_FAILURE
 	      << "invalid types in dot-prod";
 
           return false;
@@ -7228,7 +7228,7 @@ vectorizable_reduction (gimple *stmt, gimple_stmt_iterator *gsi,
       if (! max_loop_iterations (loop, &ni))
 	{
 	  if (optinfo_enabled_p ())
-	    EMIT_OPTINFO_AT_VECT_LOCATION (OPT_RECORD_REMARK)
+	    OPTINFO_VECT_REMARK
 	      << "loop count not known, cannot create cond reduction";
 	  return false;
 	}
@@ -7242,7 +7242,7 @@ vectorizable_reduction (gimple *stmt, gimple_stmt_iterator *gsi,
       if (wi::geu_p (ni, wi::to_widest (max_index)))
 	{
 	  if (optinfo_enabled_p ())
-	    EMIT_OPTINFO_AT_VECT_LOCATION (OPT_RECORD_REMARK)
+	    OPTINFO_VECT_REMARK
 	      << "loop size is greater than data size";
 	  return false;
 	}
@@ -7300,7 +7300,7 @@ vectorizable_reduction (gimple *stmt, gimple_stmt_iterator *gsi,
 	  || code == SAD_EXPR))
     {
       if (optinfo_enabled_p ())
-	EMIT_OPTINFO_AT_VECT_LOCATION (OPT_RECORD_FAILURE)
+	OPTINFO_VECT_FAILURE
 	  << ("multi def-use cycle not possible for lane-reducing "
 	      "reduction operation");
       return false;
@@ -7326,7 +7326,7 @@ vectorizable_reduction (gimple *stmt, gimple_stmt_iterator *gsi,
 						      OPTIMIZE_FOR_SPEED)))
 	    {
 	      if (optinfo_enabled_p ())
-		EMIT_OPTINFO_AT_VECT_LOCATION (OPT_RECORD_FAILURE)
+		OPTINFO_VECT_FAILURE
 		  << ("can't use a fully-masked loop because no"
 		      " conditional operation is available");
 	      LOOP_VINFO_CAN_FULLY_MASK_P (loop_vinfo) = false;
@@ -7334,7 +7334,7 @@ vectorizable_reduction (gimple *stmt, gimple_stmt_iterator *gsi,
 	  else if (reduc_index == -1)
 	    {
 	      if (optinfo_enabled_p ())
-		EMIT_OPTINFO_AT_VECT_LOCATION (OPT_RECORD_FAILURE)
+		OPTINFO_VECT_FAILURE
 		  << ("can't use a fully-masked loop for chained"
 		      " reductions");
 	      LOOP_VINFO_CAN_FULLY_MASK_P (loop_vinfo) = false;
@@ -7345,7 +7345,7 @@ vectorizable_reduction (gimple *stmt, gimple_stmt_iterator *gsi,
 	}
       if (optinfo_enabled_p ()
 	  && reduction_type == FOLD_LEFT_REDUCTION)
-	EMIT_OPTINFO_AT_VECT_LOCATION (OPT_RECORD_REMARK)
+	OPTINFO_VECT_REMARK
 	  << "using an in-order (fold-left) reduction";
       STMT_VINFO_TYPE (stmt_info) = reduc_vec_info_type;
       return true;
@@ -7354,7 +7354,7 @@ vectorizable_reduction (gimple *stmt, gimple_stmt_iterator *gsi,
   /* Transform.  */
 
   if (optinfo_enabled_p ())
-    EMIT_OPTINFO_AT_VECT_LOCATION (OPT_RECORD_REMARK)
+    OPTINFO_VECT_REMARK
       << "transform reduction";
 
   /* FORNOW: Multiple types are not supported for condition.  */
@@ -7650,7 +7650,7 @@ vectorizable_induction (gimple *phi,
       if (ncopies > 1)
 	{
 	  if (optinfo_enabled_p ())
-	    EMIT_OPTINFO_AT_VECT_LOCATION (OPT_RECORD_FAILURE)
+	    OPTINFO_VECT_FAILURE
 	      << "multiple types in nested loop";
 	  return false;
 	}
@@ -7681,7 +7681,7 @@ vectorizable_induction (gimple *phi,
 		&& !STMT_VINFO_LIVE_P (exit_phi_vinfo)))
 	    {
 	      if (optinfo_enabled_p ())
-		EMIT_OPTINFO_AT_VECT_LOCATION (OPT_RECORD_FAILURE)
+		OPTINFO_VECT_FAILURE
 		  << ("inner-loop induction only used outside "
 		      "of the outer vectorized loop");
 	      return false;
@@ -7699,7 +7699,7 @@ vectorizable_induction (gimple *phi,
     {
       /* The current SLP code creates the initial value element-by-element.  */
       if (optinfo_enabled_p ())
-	EMIT_OPTINFO_AT_VECT_LOCATION (OPT_RECORD_FAILURE)
+	OPTINFO_VECT_FAILURE
 	  << ("SLP induction not supported for variable-length"
 	      " vectors.\n");
       return false;
@@ -7721,7 +7721,7 @@ vectorizable_induction (gimple *phi,
      [X, X + S, X + 2*S, X + 3*S].  */
 
   if (optinfo_enabled_p ())
-    EMIT_OPTINFO_AT_VECT_LOCATION (OPT_RECORD_REMARK)
+    OPTINFO_VECT_REMARK
       << "transform induction phi";
 
   latch_e = loop_latch_edge (iv_loop);
@@ -8115,7 +8115,7 @@ vectorizable_induction (gimple *phi,
 	  STMT_VINFO_VEC_STMT (stmt_vinfo) = new_stmt;
 	  if (optinfo_enabled_p ())
 	    {
-	      EMIT_OPTINFO_AT_VECT_LOCATION (OPT_RECORD_REMARK)
+	      OPTINFO_VECT_REMARK
 		<< "vector of inductions after inner-loop:" << new_stmt;
 	    }
 	}
@@ -8124,7 +8124,7 @@ vectorizable_induction (gimple *phi,
 
   if (optinfo_enabled_p ())
     {
-      EMIT_OPTINFO_AT_VECT_LOCATION (OPT_RECORD_REMARK)
+      OPTINFO_VECT_REMARK
 	<< "transform induction: created def-use cycle: "
 	<< induction_phi << SSA_NAME_DEF_STMT (vec_def);
     }
@@ -8172,7 +8172,7 @@ vectorizable_live_operation (gimple *stmt,
     {
       gcc_assert (is_simple_and_all_uses_invariant (stmt, loop_vinfo));
       if (optinfo_enabled_p ())
-	EMIT_OPTINFO_AT_VECT_LOCATION (OPT_RECORD_REMARK)
+	OPTINFO_VECT_REMARK
 	  << "statement is simple and uses invariant.  Leaving in place";
       return true;
     }
@@ -8199,7 +8199,7 @@ vectorizable_live_operation (gimple *stmt,
       if (!can_div_trunc_p (pos, nunits, &vec_entry, &vec_index))
 	{
 	  if (optinfo_enabled_p ())
-	    EMIT_OPTINFO_AT_VECT_LOCATION (OPT_RECORD_FAILURE)
+	    OPTINFO_VECT_FAILURE
 	      << ("Cannot determine which vector holds the"
 		  " final result");
 	  return false;
@@ -8215,7 +8215,7 @@ vectorizable_live_operation (gimple *stmt,
 					       OPTIMIZE_FOR_SPEED))
 	    {
 	      if (optinfo_enabled_p ())
-		EMIT_OPTINFO_AT_VECT_LOCATION (OPT_RECORD_FAILURE)
+		OPTINFO_VECT_FAILURE
 		  << ("can't use a fully-masked loop because "
 		      "the target doesn't support extract last "
 		      "reduction");
@@ -8224,7 +8224,7 @@ vectorizable_live_operation (gimple *stmt,
 	  else if (slp_node)
 	    {
 	      if (optinfo_enabled_p ())
-		EMIT_OPTINFO_AT_VECT_LOCATION (OPT_RECORD_FAILURE)
+		OPTINFO_VECT_FAILURE
 		  << ("can't use a fully-masked loop because an "
 		      "SLP statement is live after the loop");
 	      LOOP_VINFO_CAN_FULLY_MASK_P (loop_vinfo) = false;
@@ -8232,7 +8232,7 @@ vectorizable_live_operation (gimple *stmt,
 	  else if (ncopies > 1)
 	    {
 	      if (optinfo_enabled_p ())
-		EMIT_OPTINFO_AT_VECT_LOCATION (OPT_RECORD_FAILURE)
+		OPTINFO_VECT_FAILURE
 		  << ("can't use a fully-masked loop because"
 		      " ncopies is greater than 1.\n");
 	      LOOP_VINFO_CAN_FULLY_MASK_P (loop_vinfo) = false;
@@ -8380,7 +8380,7 @@ vect_loop_kill_debug_uses (struct loop *loop, gimple *stmt)
 	      if (gimple_debug_bind_p (ustmt))
 		{
 		  if (optinfo_enabled_p ())
-		    EMIT_OPTINFO_AT_VECT_LOCATION (OPT_RECORD_REMARK)
+		    OPTINFO_VECT_REMARK
 		      << "killing debug use";
 
 		  gimple_debug_bind_reset_value (ustmt);
@@ -8592,7 +8592,7 @@ vect_transform_loop (loop_vec_info loop_vinfo)
       && !LOOP_VINFO_NITERS_KNOWN_P (loop_vinfo))
     {
       if (optinfo_enabled_p ())
-	EMIT_OPTINFO_AT_VECT_LOCATION (OPT_RECORD_REMARK)
+	OPTINFO_VECT_REMARK
 	  << optinfo_printf ("Profitability threshold is %d loop iterations",
 			     th);
       check_profitability = true;
@@ -8695,7 +8695,7 @@ vect_transform_loop (loop_vec_info loop_vinfo)
 	  gphi *phi = si.phi ();
 	  if (optinfo_enabled_p ())
 	    {
-	      EMIT_OPTINFO_AT_VECT_LOCATION (OPT_RECORD_REMARK)
+	      OPTINFO_VECT_REMARK
 		<< "------>vectorizing phi: " << phi;
 	    }
 	  stmt_info = vinfo_for_stmt (phi);
@@ -8713,7 +8713,7 @@ vect_transform_loop (loop_vec_info loop_vinfo)
 	      && (maybe_ne
 		  (TYPE_VECTOR_SUBPARTS (STMT_VINFO_VECTYPE (stmt_info)), vf))
 	      && optinfo_enabled_p ())
-	    EMIT_OPTINFO_AT_VECT_LOCATION (OPT_RECORD_REMARK)
+	    OPTINFO_VECT_REMARK
 	      << "multiple-types";
 
 	  if ((STMT_VINFO_DEF_TYPE (stmt_info) == vect_induction_def
@@ -8722,7 +8722,7 @@ vect_transform_loop (loop_vec_info loop_vinfo)
 	      && ! PURE_SLP_STMT (stmt_info))
 	    {
 	      if (optinfo_enabled_p ())
-		EMIT_OPTINFO_AT_VECT_LOCATION (OPT_RECORD_REMARK)
+		OPTINFO_VECT_REMARK
 		  << "transform phi";
 	      vect_transform_stmt (phi, NULL, NULL, NULL, NULL);
 	    }
@@ -8751,7 +8751,7 @@ vect_transform_loop (loop_vec_info loop_vinfo)
 
 	  if (optinfo_enabled_p ())
 	    {
-	      EMIT_OPTINFO_AT_VECT_LOCATION (OPT_RECORD_REMARK)
+	      OPTINFO_VECT_REMARK
 		<< "------>vectorizing statement: " << stmt;
 	    }
 
@@ -8822,7 +8822,7 @@ vect_transform_loop (loop_vec_info loop_vinfo)
 		    {
 		      if (optinfo_enabled_p ())
 			{
-			  EMIT_OPTINFO_AT_VECT_LOCATION (OPT_RECORD_REMARK)
+			  OPTINFO_VECT_REMARK
 			    << "==> vectorizing pattern def stmt: "
 			    << pattern_def_stmt;
 			}
@@ -8849,7 +8849,7 @@ vect_transform_loop (loop_vec_info loop_vinfo)
 		  && optinfo_enabled_p ())
 		  /* For SLP VF is set according to unrolling factor, and not
 		     to vector size, hence for SLP this print is not valid.  */
-		EMIT_OPTINFO_AT_VECT_LOCATION (OPT_RECORD_REMARK)
+		OPTINFO_VECT_REMARK
 		  << "multiple-types";
 	    }
 
@@ -8880,7 +8880,7 @@ vect_transform_loop (loop_vec_info loop_vinfo)
 
 	  /* -------- vectorize statement ------------ */
 	  if (optinfo_enabled_p ())
-	    EMIT_OPTINFO_AT_VECT_LOCATION (OPT_RECORD_REMARK)
+	    OPTINFO_VECT_REMARK
 	      << "transform statement";
 
 	  grouped_store = false;
@@ -8996,17 +8996,17 @@ vect_transform_loop (loop_vec_info loop_vinfo)
     {
       if (!LOOP_VINFO_EPILOGUE_P (loop_vinfo))
 	{
-	  EMIT_OPTINFO_AT_VECT_LOCATION (OPT_RECORD_REMARK)
+	  OPTINFO_VECT_REMARK
 	    << "LOOP VECTORIZED";
 	  if (loop->inner)
-	    EMIT_OPTINFO_AT_VECT_LOCATION (OPT_RECORD_REMARK)
+	    OPTINFO_VECT_REMARK
 	      << "OUTER LOOP VECTORIZED";
 	  dump_printf (MSG_NOTE, "\n");
 	}
       else
 	{
 #if 0
-	  EMIT_OPTINFO_AT_VECT_LOCATION (OPT_RECORD_REMARK)
+	  OPTINFO_VECT_REMARK
 	    << "LOOP EPILOGUE VECTORIZED (VS="
 	  dump_dec (MSG_NOTE, current_vector_size);
 	    << ")";
@@ -9167,7 +9167,7 @@ optimize_mask_stores (struct loop *loop)
       if (dom_info_available_p (CDI_DOMINATORS))
 	set_immediate_dominator (CDI_DOMINATORS, store_bb, bb);
       if (optinfo_enabled_p ())
-	EMIT_OPTINFO_AT_VECT_LOCATION (OPT_RECORD_REMARK)
+	OPTINFO_VECT_REMARK
 	  << optinfo_printf ("Create new block %d to sink mask stores.",
 			     store_bb->index);
       /* Create vector comparison with boolean result.  */
@@ -9207,7 +9207,7 @@ optimize_mask_stores (struct loop *loop)
 	  gsi_to = gsi_start_bb (store_bb);
 	  if (optinfo_enabled_p ())
 	    {
-	      EMIT_OPTINFO_AT_VECT_LOCATION (OPT_RECORD_REMARK)
+	      OPTINFO_VECT_REMARK
 		<< "Move stmt to created bb " << last;
 	    }
 	  /* Move all stored value producers if possible.  */
@@ -9273,7 +9273,7 @@ optimize_mask_stores (struct loop *loop)
 
 	      /* Can move STMT1 to STORE_BB.  */
 	      if (optinfo_enabled_p ())
-		EMIT_OPTINFO_AT_VECT_LOCATION (OPT_RECORD_REMARK)
+		OPTINFO_VECT_REMARK
 		  << "move stmt to created bb"
 		  << stmt1;
 	      gsi_move_before (&gsi_from, &gsi_to);
